<table width="950" border="0" align="center">
  <tr>
    <td>
    <p align="left" class="style10">EDICI&Oacute;N MASIVA
    <HR color="#CCCCCC" size="1" noshade="noshade"></p>

	  <form id="form1" name="form1" method="post" action="svcapturamanual.php">
	    <p align="center" class="style7">Listado de Productos	    </p>
          <?php

echo "<table align='center' cellpadding='2' class='tablaBordes'  width='100%'>";
echo "<tr class='tablaCabecera' align='center'>";

echo "<td>";
echo " ID ";
echo "</td>";

echo "<td>";
echo "Nombre producto";
echo "</td>";

/*
echo "<td class='style4'>";
echo "Descripci&oacute;n";
echo "</td>";
*/

echo "<td>";
echo "Clasificaci&oacute;n";
echo "</td>";

echo "<td>";
echo "M&iacute;nimo";
echo "</td>";

echo "<td>";
echo "Presentaci&oacute;n<br>entrega";
echo "</td>";

echo "<td>";
echo "Costo<br>Unidad";
echo "</td>";

echo "<td>";
echo "Unidades<br>Paquete";
echo "</td>";

echo "<td>";
echo "Presentaci&oacute;n<br>Compra";
echo "</td>";

echo "</tr>";
include ("conexion.php");

			$query="SELECT clave,nombre,descripcion,costounidad,minimo,idPresentacion,idPresentacion2,clasificacion,unidadespaquete FROM productos ORDER BY nombre";
			$result=mysql_query($query,$conex) or die ("No se consultaron los productos");
			while($fila = mysql_fetch_array($result))
			{
				echo "<tr class='tablaBordes'>";
				//clave
				echo "<td class='style1'>";
				echo $fila[0];
				echo "</td>";

				//nombre
				echo "<td class='style1'>";
				echo utf8_encode($fila[1]);
				echo "</td>";

				//CLASIFICACION
				$selected1="";
				$selected2="";
				$selected3="";
				$selected4="";
				$selected5="";

				if ($fila[7] == "Contables fijos")
				{
					$selected1="selected";
				}
				if ($fila[7] == "Contables variables")
				{
					$selected2="selected";
				}
				if ($fila[7] == "Incontables")
				{
					$selected3="selected";
				}
				if ($fila[7] == "Liquidos - polvos")
				{
					$selected4="selected";
				}
				if ($fila[7] == "Materiales de impresion")
				{
					$selected5="selected";
				}
				echo "<td class='style1'>";
					echo "<select name='clasificacion[]' class='cuadrotexto' id='clasificacion'>";
						if ($fila[7] =='')
						{
							echo "<option value='Selecciona' selected='selected'>Selecciona</option>";
						}
						echo "<option value='Contables fijos' ".$selected1.">Contables fijos</option>";
						echo "<option value='Contables variables' ".$selected2.">Contables variables</option>";
						echo "<option value='Incontables' ".$selected3.">Incontables</option>";
						echo "<option value='Liquidos - polvos' ".$selected4.">Liquidos - polvos</option>";
						echo "<option value='Materiales de impresion' ".$selected5.">Materiales de impresion</option>";
					echo "</select>";
				echo "</td>";

				//minimo
				echo "<td class='style1'>";
				echo "<input type='text' name='minimo[]' class='cuadrotexto' size='5' maxlength='10' value='".$fila[4]."'>";
				echo "</td>";

				//CONSULTO NOMBRE DE LA PRESENTACION
				$cons2="SELECT presentacion FROM presentaciones WHERE idPresentacion='$fila[5]'";
				$res2=mysql_query($cons2,$conex) or die ("No consulto nombre de presentacion");
				@$presentacion=mysql_result($res2,0,'presentacion');

				//IMPRIMO PRESENTACION
				$cons3="SELECT * FROM presentaciones order by presentacion";
				$res3=mysql_query($cons3,$conex) or die ("No se pudo consultar la presentacion");
				echo "<td class='style1'>";
				echo "<select name='presentacion[]' class='cuadrotexto'>";
				echo "<option value=".$fila[5]." selected='selected'>".$presentacion."</option>"; 
                while ($campo=mysql_fetch_assoc($res3)) 
	    		{
					echo "<option value=".$campo['idPresentacion']." >".$campo['presentacion']."</option>"; 
 				}
                echo "</select>";
				echo "</td>";				

				//COSTO
				echo "<td class='style4' align='center'>";
				echo "<input type='text' name='costo[]' class='cuadrotexto' size='6' maxlength='10' value='".$fila[3]."'>";
				echo "</td>";

				//EXISTENCIAS - CONSULTO LA EXISTENCIA
				/*
				if ($fila[7] == "Incontables" or $fila[7] == "Liquidos - polvos" or $fila[7] == "Materiales de impresion")
				{
					$cons4="SELECT existencia FROM incontables WHERE idProducto='".$fila[0]."' and idClinica='$clini'";
				}
				else
				{
					$cons4="SELECT existencia FROM  almacenes WHERE idProducto='".$fila[0]."' and idClinica='$clini'";
					
				}
				$res4=mysql_query($cons4,$conex) or die ("No se realizo consulta de existencias");
				@$existencia=mysql_result($res4,0,'existencia');
	
				echo "<td class='style4' align='center'>";
				echo "<input type='text' name='existencia[]' class='cuadrotexto' size='6' maxlength='10' value='$existencia'>";
				echo "</td>";
				*/
				echo "<td class='style4' align='center'>";
				echo "<input type='text' name='paquete[]' class='cuadrotexto' size='6' maxlength='10' value='$fila[8]'>";
				echo "</td>";
				
				//PRESENTACION COMPRA
				//CONSULTO NOMBRE DE LA PRESENTACION
				if ($fila[6]==0)
				{
					$presentacion2="No asignada";
				}
				else
				{
					$cons22="SELECT presentacion FROM presentaciones WHERE idPresentacion='$fila[6]'";
					$res22=mysql_query($cons22,$conex) or die ("No consulto nombre de presentacion 22");
					$presentacion2=mysql_result($res22,0,'presentacion');
				}
				//IMPRIMO PRESENTACION
				$cons3="SELECT * FROM presentaciones order by presentacion";
				$res3=mysql_query($cons3,$conex) or die ("No se pudo consultar la presentacion");
				echo "<td class='style1'>";
				echo "<select name='presentacion2[]' class='cuadrotexto'>";
				echo "<option value=".$fila[6]." selected='selected'>".$presentacion2."</option>"; 
                While ($campo=mysql_fetch_assoc($res3)) 
	    		{
					echo "<option value=".$campo['idPresentacion']." >".$campo['presentacion']."</option>"; 
 				}
                echo "</select>";
				//AGREGARE EL NUEVO INPUT CON LA CLAVE DEL PRODUCTO Y SE CREARA UN NUEVO ARRAY
				echo "<input type='hidden' name='idprod[]' value='".$fila[0]."'>";
				echo "</td>";

				echo "</tr>";

			}

echo "</table>";





?>

      <input name="clinica" type="hidden" id="clinica" value="<?php echo $clini; ?>" />
        <br />
        <table width="1%" border="0" align="center" cellpadding="0" cellspacing="10">

          <tr>

            <td width="46%"><input name="button" type="button" class="boton2" id="button" value="Cancelar" onclick="javascript:history.back()"></td>

            <td width="54%"><input name="Submit" type="submit" class="boton2" value="Guardar cambios" /></td>

          </tr>

        </table>

	  </form>    </td>

  </tr>

</table>
